000013460 - Installation fails on Linux due to missing O/S libraries

Document created by RSA Customer Support Employee on Jun 14, 2016Last modified by RSA Customer Support Employee on Apr 21, 2017
Version 2Show Document
  • View in full screen mode

Article Content

Article Number000013460
Applies ToRSA Certificate Manager 6.9
RSA Registration Manager 6.9
Cent OS 6.4 (64-bit)
Linux
IssueInstallation fails on Linux due to missing O/S libraries
[root@test-box RSA_CM]# ./INSTALL
...
...

Installing on a local filesystem...
./INSTALL: ./xudad: /lib/ld-linux.so.2: bad ELF interpreter: No such file or directory
Configuration of installation directory server failed.
Terminating installation prematurely. 

[root@test-box RSA_CM]# ./INSTALL
...
...
Installing on a local filesystem...
./xudad: error while loading shared libraries: libstdc++.so.6: cannot open shared object file: No such file or directory
Configuration of installation directory server failed.
Terminating installation prematurely.

[root@test-box RSA_CM]# ./INSTALL
...
...
./httpsd: error while loading shared libraries: libgdbm.so.2: cannot open shared object file: No such file or directory
Failed to launch installation web server
Terminating installation prematurely.
CauseSome libraries are missing on the O/S platform that are required by RSA Certificate Manager and Registration Manager:
/lib/ld-linux.so.2: bad ELF interpreter: No such file or directory ==> glibc.i686 must be installed
libstdc++.so.6: cannot open shared object file: No such file or directory ==> libstdc++ and/or libstdc++-4.4.7-3.el6.i686 (or latest) must be installed
libgdbm.so.2: cannot open shared object file: No such file or directory ==> gdbm.i386 must be installed
ResolutionTo install the missing Cent OS packages, run one or more of the following commands:
yum -y install glibc.i686
yum whatprovides libstdc++.so.6      ==> a response to this command will show which GNU C++ Library, such as libstdc++-4.4.7-3.el6.i686, needs to be installed
yum -y install libstdc++
yum -y install libstdc++-4.4.7-3.el6.i686
yum -y install gdbm.i386
WorkaroundInstalling RSA Certificate Manager or Registration Manager on Linux platform (using INSTALL script)
NotesWhen installing libstdc++-4.4.7-3.el6.i686 (or latest), you may run into the following error:
Error: Protected multilib versions: libstdc++-4.4.7-3.el6.i686 != libstdc++-4.4.6-3.el6.x86_64
This can happen because multilib is the term Red Hat (and CentOS of course) use for a 64-bit system which also has 32-bit libraries. The packaging system won't install a newer version of the 32-bit library than the 64-bit version.  In this scenario, run the following command:
[root@test-box RSA_CM]# yum update -y
Legacy Article IDa64146

Attachments

    Outcomes